#include "file/interface/dfitem/dfitem_access_control_2.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CDFItemAccessControl2::CDFItemAccessControl2( NodeTypeID _type ) : CDFItemBase( _type )
{

}

CDFItemAccessControl2::~CDFItemAccessControl2()
{

}

int CDFItemAccessControl2::Modify( CModifyData &modifyData )
{
    StructConfig &config = modifyData.file->m_config;

    // Externer Lesertyp eintragen
    if ( modifyData.flags & SMDF_TRANSPONDER_EXT_READER )
    {
        config.EXT_READER = modifyData.extReader;
    }

    return 1;
}
